#92 Installation of 1.20.1 does not enable any extensions from bluespice-mw/ext

1.20.1
closed
nobody
None
1
2013-05-31
2013-03-20
Anonymous
No

I have installed a clean version of media wiki, followed by the 1.20.1 version of Blue-Spice. I followed the instructions at http://hilfe.blue-spice.org/index.php/Installation_Manual_1.20.0.
I can log into my media wiki and if I go to edit mode, I can see all the widgets, however none of the widgets work. It appears as if none of the extensions in the "bluespice-mw/ext" directory are activated.
The installation manual has require_once commands for all the extensions in the "bluespice-mw/ext-dist" folder, but does not have commands for the extensions in the "bluespice-mw/ext" folder. Do I need to add these or should they be being loaded some other way but it is not working?

Discussion


  • Anonymous
    2013-03-21

    I may have used the wrong term "widgets". I mean the banner along the top with the ability to open the visual editor, the insert link / file / image / category / etc buttons. None of these work

     
    Attachments
  • tweichart
    tweichart
    2013-03-25

    Are you sure your scriptpath is right? If not, Javascript is not working properly, also noticed by not beeing able to click the buttons.

    The extensions from the bluespice-mw/ext folder are includeded by the BlueSpice Framework. You only have to uncomment your needed extensions in the bluespice-mw/config/extension-settings.php file. Most of them should be uncommented by default.

     


Anonymous


Cancel   Add attachments